Bug 847115 - Extend scroll bug on content tab, with > 50 subscriptions only the first 50 will populate.
Extend scroll bug on content tab, with > 50 subscriptions only the first 50 w...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Sachin Ghai
: Triaged
Depends On:
Blocks: 847117
  Show dependency treegraph
 
Reported: 2012-08-09 14:23 EDT by Eric Sammons
Modified: 2013-03-27 16:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the Content tab, only the first 50 subscriptions are loaded. If the manifest has more than 50, these subscriptions are not shown on the Content tab. This provides a false representation of available subscriptions. The extend scroll on the content tab has been corrected. All subscriptions now display on the Content tab.
Story Points: ---
Clone Of:
: 847117 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:53:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
50 of xxx results with no way to get to the remaining 239 (74.98 KB, image/png)
2012-08-09 14:26 EDT, Eric Sammons
no flags Details
looks like "vmrhsam-manifest.zip" has only 9 subscriptions in total (56.72 KB, image/png)
2012-10-01 02:09 EDT, Sachin Ghai
no flags Details
On scroll, UI loads 79 subscriptions (79.06 KB, image/png)
2012-10-12 06:28 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Eric Sammons 2012-08-09 14:23:53 EDT
Description of problem:
With a headpin deployment that has 289 subscriptions, only the first 50 subscriptions can be acquired in the left pane of the tupane view.

Version-Release number of selected component (if applicable):
katello-1.0.4-1

How reproducible:
Occurs in both Firefox (Linux) and IE9 (Windows 7).

Steps to Reproduce:
1. Populate your deployment with a hundred or so subscriptions.
2. Navigate to the content tab and scroll down the left pane.
  
Actual results:
The first 25 subs will populate, scroll down and a spinner is present waiting for the next 25 to load.  Once these 25 subs have loaded you will notice that you have 50 of xxx subs in your view.  If you scroll down you will find that the spinner does not appear again nor do any additional subs.
Comment 1 Eric Sammons 2012-08-09 14:26:20 EDT
Created attachment 603329 [details]
50 of xxx results with no way to get to the remaining 239
Comment 2 Pavel Pokorny 2012-08-30 05:06:29 EDT
Fixed in fce26f0
Comment 4 Sachin Ghai 2012-09-23 23:57:40 EDT
Hi Pavel, Eric

Could you please share a subscription manifest that includes more than 50 subscriptions to test this defect. thanks
Comment 5 Sachin Ghai 2012-10-01 02:08:06 EDT
Hi Eric,  I tried the same manifest as you sent with name "vmrhsam-manifest.zip".
But After  importing this manifest, the UI shows only 9 subscriptions in total in left pane. Please see the attachment. 

Could you please share any dummy manifest that includes more than 50 subscriptions.
Comment 6 Sachin Ghai 2012-10-01 02:09:21 EDT
Created attachment 619622 [details]
looks like "vmrhsam-manifest.zip" has only 9 subscriptions in total
Comment 7 Sachin Ghai 2012-10-12 05:55:37 EDT
I tried again, but I think to list more than 50 subscriptions, first, few system needs to be registered and some subscriptions needs to be consumed by these systems. I did the same and now I can see the 79 subscriptions. I can scroll down more than 50 subscriptions, spinner is loading with bunch of 25 subscriptions in one go in the left pane of 'subscription' tab.
Comment 8 Sachin Ghai 2012-10-12 06:28:35 EDT
Created attachment 625899 [details]
On scroll, UI loads 79 subscriptions
Comment 10 errata-xmlrpc 2012-12-04 14:53:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.